                Image Control - unregistered version - User Manual
                --------------------------------------------------

                Copyright (C) Brightstar Consultants Ltd 1992
                              2 Paddock Road,
                              Reading,
                              RG4 0BX,
                              UK

                              Tel (0344) 775434
                              Int +44-344-775434


   What is Image Control
   ---------------------

   Image Control is a full colour image editor. Image Control uses a
   Graphics User Interface with drop down menus.

   Image Control provides darkroom imaging facilities on a PC - single
   image processing and editing, combining several images, sizing and
   painting. Multiple images of any size are positioned on the
   workboard, and you can move the workboard under the screen window.

   Please register your copy of Image Control.



                             Running Image Control
                             ---------------------

   The display model
   -----------------
   
   Multiple images of any size are positioned on the workboard, and you
   can move the workboard under the screen window.

   Images can only reside on the workboard itself. They can overlap, and
   you can move them out of the screen window.

   The current image is the last image you selected using the mouse, and
   it is always displayed on top of all other images.

   If activated, the mask box is always displayed on top of the images.

   The workboard
   -------------

   The full workboard on which images can reside is very large. You see
   the bottom right corner when you go to full zoom, and then move the
   screen window to the bottom right.

   You can move the screen window about on the workboard using the
   sliders along the right and the bottom of the window.

   When you move the screen window, or change the zoom setting, all
   images and the image mask stay where they were on the full workboard,
   but the mask, if active, stays fixed in the screen.

   Using the mouse in Image Control
   --------------------------------

   The way you use the mouse varies according to the context. We support
   the two button mouse, and you do need the right mouse button from
   time to time.

   Most tasks in Image Control requires the left button, with the right
   button reserved for "special" cases - altering parameters for
   example.

   Mousing in main menus
   ---------------------

   Move the mouse across the top of the screen to see the menus. With
   the mouse, pull down the menu and left click to activate the item you
   require.

   Only menu items shown bright are available at any time - menu items
   shown dull cannot be used under current conditions. For example, if
   no image is loaded, the Load menu item is bright, but the Save menu
   item is dull, and will change to bright as soon as you load an image.

   If the item has a right arrow ( '>' ) then a right click takes you to
   the parameter window for that menu item. If it does not, then a right
   click takes you to help.



   Working with menu items
   -----------------------

   When you left click in a menu item, the menu item process is actioned
   on the current image. The current image does not need to be visible
   in the screen window for the process to take effect.

   Some menu items only provide access to a parameter window (eg
   Set-up).

   Some menu items provide access to a different mode (eg Paint).

   Some menu items provide access to a parameter window, and the action
   is initiated with a click in the Go button in the parameter window
   (eg Zoom).

   Most menu items are simple processes with no parameter window (eg
   Negative), or simple processes with a parameter window (eg Sharpen).

   Menu items which have the '>' arrow displayed accept a right click
   for access to the parameter window. Menu items without the '>' take
   you directly into Help on a right click.

   Mousing with images
   -------------------

   Left click on a non-current image to make it current - you may need
   to wait for it to be redrawn; left click and hold, and drag on the
   mask or the current image, to move it. If you move an image, you must
   wait for other images that were underneath its old position to be
   redrawn; right click has no action on the workboard. When you are
   moving an image box, you can nudge the mouse one screen pixel at a
   time by holding the mouse still and using the arrow keys.

   Mousing with the mask
   ---------------------

   A mask has mouse-priority over any image. Left hold and drag in the
   mask or image to move it; left hold and drag in the tag box to size a
   mask. Right click has no effect.



   Mousing in the load/save screens
   --------------------------------

   Left click in a button to activate it, or to change drives. Left
   click in the name box to enable keyboard editing of the filename, and
   in the file type and other boxes to flip through the options.
   
   Left click in the directory display to move the cursor bar to that
   line.

   Left click on the cursor bar to activate that line - on a "parent" or
   sub-directory to change into the parent directory or sub-directory,
   or on a filename to load the image file.

   In the load screen, right click on or off the cursor bar to select a
   file - for loading or deleting. The cursor bar will follow, and the
   file will be tagged as selected. You can select several files to be
   loaded when you left click on the Load button. The Save and Print
   screens do not tag files for selection.

   Mousing in parameter windows
   ----------------------------

   A parameter window lets you change the values used by a menu item.
   For example, if the Contrast value is 45, then when you left click in
   Contrast the current image will be contrasted to the value 45. To
   change the value, right click in the Contrast menu item.

   You can move the parameter window by dragging the background box. All
   subsequent parameter windows try to appear where you leave the last
   window.

   To change a slider value, left click in the slider and drag it right
   or left.

   Buttons are arranged in rows. Only one button in any row may be ON.
   Left click in the button you wish to be ON.

   Left click in the Go button to action the menu item with the current
   values.

   Left click in the Store button to store your changes, but without
   actioning the menu item.

   To leave a parameter window, discarding any changes you have made,
   left click in the menu line on top of the screen.

   If you double-click in a button, Image Control will take it as a
   click in the Go button, and will action the menu item immediately.



   Using the keyboard
   ------------------

   Use the keyboard to :

   Abort a slow process by pressing the ESC key - sometimes the image
   will be half processed after you abort a process, so only do this if
   you are prepared to have to restart your work;

   Nudge an image for accurate positioning or sizing by holding the left
   mouse button down in the box or tag, and using the arrow keys;

   Enter or change the file name when saving or printing an image or
   print file.

   Working with Zoom
   -----------------

   When zoom is off (zoom setting is 1) the images are displayed full
   size. This means that one image pixel is represented by one screen
   display pixel, so an image 300 pixels square will take 300 pixels
   square on the screen. The actual size of the image on the screen will
   depend on your selected screen resolution. So in 640x480 video mode
   the image will be larger on screen than in 1024x768 video mode.

   Zoom really means "zoom-out". You can imagine that as the zoom
   setting increases you are holding the screen window at arm's length,
   but you are moving back, away from the workboard. You see more
   images, but they look smaller. Each zoom setting represents a
   doubling of your distance from the workboard. So with a zoom setting
   of 3, images are displayed a linear quarter of normal size, but the
   amount of the workboard you see is linear four times as much as
   normal. In area terms, a zoom setting of 3 shows you an area of the
   workboard 16 times as large as normal.

   When you change the zoom setting, the top left corner of the screen
   window stays fixed on the full workboard. An image which is at the
   top left of the window will stay there if you change the zoom
   setting. An image you put at the bottom right of the full workboard
   while at one zoom setting will not be accessible at any lower zoom
   setting.



   Menu items with restricted operating conditions
   -----------------------------------------------

   When a menu item is "greyed-out", or shown in dull type, it is not
   available for use. Any of the following situations may hold :

   The current image is greyscale and the item is for colour images
   only;

   The current image is colour and the item is for greyscale images
   only;

   The mask is active and the item cannot work with the mask;

   The board is in zoomed mode and the item does not work in zoomed
   mode;

   There is no current image, and the item is an image process item.

   Restricted menu items
   ---------------------

   The following menu items work under the conditions stated at the top
   of the relevant column :

    Greyscale     Colour image  Do not work   Do not work   Only work
    image only    image only    with a mask   in 320 mode   in 320 mode
                                                                       
    Colourify     Greyify       Resize        Pick          Pick-colour
                  Filter        Paint         Hist-display             
                                Rotate                                  
                                Colourify                                 
                                Greyify                                    


   Aborting a process
   ------------------

   If a process is running that requires more XMS/EMS memory than you
   have available, Image Control will use temporary disk storage.
   Processing will take longer slower under these conditions.

   You can abandon most processes with no ill effects, by pressing the
   Esc key. You can also stop an image load and a save. Some processes
   leave a half processed image (Rotate).

   Low memory control
   ------------------

   If there is no memory to display a window, then the logo button at
   the top of the screen will flash an error message. To cancel the
   message, and regain control, give a long click in the flashing
   button.




                             The File Menu
                             -------------



   Copy : Create copy image(s)
   --------------------------
   

   Copy creates another image from either the current image, or from the
   area defined by the mask.

   Use Copy to crop an image, by copying the part you want to keep, and
   dropping the original image.

   Use Copy to create a make-up or montage of several images, by 
   positioning the component images next to each other, putting the mask
   around them all, and selecting Copy.

   Copied images are given the name "copy00n".


   Save : Save image to disk
   -------------------------

   Save lets you choose the save directory, the file name and file type,
   and save the current image to disk.

   Use a right click from the menu to set the default save file type.
   The default save file type will be used for un-named files - files
   you create with processes like Copy.

   If you want to change the file type, click in the type button in the
   save window, and cycle through the file types to the type you
   require.

   Use the mouse to move between directories (a click on a file name
   does nothing). Click in the file name field to edit the image's file
   name (the file extension will be set according to the save file
   type).

   Note that the unregistered version will not save images that are
   larger than 640 columns by 480 rows.




   Load : Load image(s) from disk
   ------------------------------

   Load lets you load one or more images from disk, into the workboard.
   Images are positioned on the top left of the screen window.

   Load remembers the current load directory.

   Left click on an image to load it, or click the load button to load
   the image under the bar.

   Right click, or hit the INS key, to select several images, and click
   the load button to load them all.

   Sub-directories are shown in uppercase. To change into a
   sub-directory, put the cursor bar on the sub-directory name, and
   click. To change up to the parent directory, click on the "PARENT"
   entry.

   You can use the Enter key instead of a click in the load button, but
   in this case the file under the bar is loaded even if other images
   have been selected already.

   If you load more than one image, subsequent images may load directly
   on top of the first.

   If you have problems loading any images, please contact us, sending
   us the offending image files, so we may investigate. Image formats
   (especially TIFF) can vary from source to source.


   Drop : Drop image from workboard
   --------------------------------

   Drop removes or discards one or more images from the workboard, and
   from memory. If you drop an image you have created, and have not
   saved, you cannot retrieve it. If you drop an image you have loaded,
   you must reload it to retrieve it.

   Left click this option to drop the current image. The image is
   removed from Image Control's list of loaded images and unloaded from
   memory.

   Right click from the menu to gain the options to drop all images, or
   to drop all images except the current image. To drop other than the
   current image you must click the Go button after a right click. A
   left button click from the menu will always drop only the current
   image.

   Images are dropped without checking if they have been saved. Once you
   have dropped an image you have created, it is gone forever !




   Mask : Use or discard mask
   --------------------------

   If you want to process only a small area of the image, or to copy an
   area of the board that covers more than one image, activate the mask.

   When a copy image is created, it becomes the current image.

   Left click on this menu item to activate or deactivate the box mask.

   For example, you have an image of an apple on a table. You wish to
   brighten the apple, but not the table. Adjust the mask so it
   surrounds the apple, and action the brighten process.

   To crop the apple, adjust the mask as before, action copy, switch the
   mask off, click outside the apple to make the original image current
   again and drop it.


   Zoom : Change zoom value
   ------------------------

   Zoom means to zoom away from the board. Larger values of zoom mean
   you are effectively further away from the board, so that you see more
   of the board, and images appear smaller.

   The current zoom setting is shown on the top of the screen after the
   '' (divide) sign.

   A zoom setting of 1 means actual size - one image pixel corresponds
   to one screen pixel. Remember that a given image at a given zoom
   setting will appear smaller in higher screen resolutions. The image
   will be halved in size for each larger value of zoom.

   Images are always placed on the workboard at zoom spacing. This means
   that images may move slightly on the workboard when you zoom out and
   back again.

   The grid and box mask stay fixed, and of fixed size, within the
   screen window when the zoom setting is changed.

   When an image is being displayed in zoomed mode, only single pixels
   are displayed. For example, in zoom level 2, every alternate row and
   column is displayed, while in zoom level 3, every fourth row and
   column is displayed.

   Note that some images that have already been processed by software
   that is limited in its ability to handle full colour may be
   pre-dithered. Because Zoom displays alternate pixels (eg every 16th
   pixel for zoom 16) the display of such images can be interesting !


    

   Set-up : Change Image Control configuration
   -----------------------------------------------

   * Change board colour

   This is the background colour of the workboard that the images lie
   on.

   The board can be given any of the 16 greys that Image Control uses to
   display greyscale images. Black is value 0, and white is value 15.

   We do not support a colour board, as colour backgrounds have too
   drastic an effect on our perception of colour in the images we are
   working with.

   * Change Dither method

   Dithering is how we compensate for the limited number of colours the
   display card can support. The dither switch can be ON
   or OFF.

   When the dither switch is ON, a different dither method is used for
   each of screen colour resolution.

   You can switch dithering OFF to view the raw display of an image.
   Remember that this shows the limitations of the screen and card, not
   a lack of colours in the image.

   24-bit (or 16.7 million colour) display, as it becomes available,
   needs no dithering, as the screen colour resolution will exactly
   match the internal storage used for true colour images.

   32K colour mode is so good, 64K a little better still, that only a
   simple rolling dither is required.

   256 colour mode is more limited that a more heavy-weight dither is
   needed, and we use a non-snaked Real Floyd-Steinberg dither.

   Dithering works best with images with lots of fine detail, like
   photos of trees or crowds. Dithering shows its worst with smooth
   areas of slightly graduated colour, like clear skies or close-up
   portraits. Dithering at its worst looks like a patterned spray of
   off-colour dots.

   With dither switched off, graduated areas will show as large, windy
   edged areas of constant colour - a quantized or posterized effect.

   If the image still looks quantized with dither switched ON, then the
   image itself may be limited in its colours. In this case the
   histogram will consist of a limited number of spikes. For example, a
   256 colour image (an 8-bit image) will have a histogram with 256
   colours. You will see fewer than 256 spikes as several different
   colours may have spikes at the same place in one histogram plane.




   Set-up (continued)
   ------

   The converse is also true, that if you see a histogram that looks as
   if every colour level in all three planes has some pixels, you are
   looking at a true colour image.

   If the image is already dithered, which means it originated as a
   paletted TIFF or GIF file that was pre-dithered, then some
   undesirable artifacts (possibly dim vertical lines) may appear if it
   is displayed with dither ON. To avoid the interaction between the
   original dither in the image, and the dither used for display, turn
   the dither switch OFF to view the image. This interaction will also
   reduce after any Smooth, Sharpen or similar precesses based on pixel
   neighbourhoods. 

   * Change inversion colour

   This is the colour used by the "inverted" display of moving boxes,
   lines and image surrounds. You may need to change this colour if you
   cannot see boxes and masks against the image you are working on.

   Because Image Control uses the palette in a manner suited to both
   greyscale and colour images, the inverted colour (the colour of the
   boxes and lines) may not be suitable for working on some colours of
   your images. Use this menu item to change the way Image Control
   creates the lines and boxes colour.

   Picstar's palette (of 256 colours even in 32K display mode) is :

   0 = black; 1 - 14 = greys from dark to light; 15 = white;

   16 - 31 = special display colours (screen, menus etc.);

   32 - 247 = colours from black thru white;

   248 - 255 = white.

   In 256 colour display mode, you are recommended to keep to the 1 - 15
   range; a "coloured" white (247 - 255) will not invert to dark. An
   invert colour of black will be invisible, as any colour inverted with
   zero (the value of a black colour) is unchanged.

   A white invert colour will be invisible against a grey background, so
   if you are working on mid grey, you should consider using a coloured
   invert colour.




   Register : Image Control registration information
   -------------------------------------------------

   When you register your copy of Image Control, we will send you a new
   program on disk, together with a hardcopy manual.

   Use this menu item to find out more about the registered version of
   Image Control.

   Left click to see basic registration information.

   Right click to walk through a list of extra features that you get
   when you register your copy of Image Control.


   Quit : Leave Image Control
   --------------------------

   Quit will drop all images, save all current configuration settings to
   disk, and return you to DOS. You are prompted for confirmation before
   anything happens.

   Quit does not care if you have left any images altered but unsaved -
   it is your responsibility to save the images you need before you
   quit.





                             The Enhancing Menu
                             ------------------



   Negative : Create negative of image
   -----------------------------------

   This creates a photographic negative of the current image. Mid-grey
   pixels stay mid-grey, while lighter pixels become darker and vice
   versa :

                              Black < - > White
                                Red < - > Cyan
                              Green < - > Magenta
                               Blue < - > Yellow
                               Grey < - > Grey
       

   Contrast : Increase or decrease image contrast
   ----------------------------------------------

   Contrast is a general term that describes the degree of lightness and
   darkness in an image.

   A dull image may lack contrast, and an image with a lot of dark and
   light may be too contrasty. Use Contrast to make quick contrast
   adjustments, increasing or decreasing the contrast. Use a right click
   to set the slider to the change you need.

   Note that this makes the specified change to the image - it does not
   set the image to any particular contrast value.

   To increase the contrast an image, set the slider to the right, and
   to decrease the contrast of, or flatten, an image, set the slider to
   the left. The larger the slider value the stronger is the effect.

   To see how pixel values are affected, use the Contrast item with the
   histogram active.

   If you increase the contrast of an image that already has some black
   and white (or full colour) area, more pixels will become black or
   white. You will lose permanently any detail that may exist in the
   dark and light area. Similarly, reducing contrast will permanently
   lose some information in the mid-ranges. This is because pixel values
   must be changed and compressed to the middle or towards the ends of
   the pixel value range.

   An image may have too high or low contrast as a result of the capture
   method, or because of the characteristics of the original chemical
   film, or because the lighting of the original scene did not match the
   film or capture method used.




   Smooth : Smooth or blur image
   -----------------------------

   This smooths, defocuses or blurs an image using a 3 x 3 smooth
   convolution. Any sharp points or edges are merged into one another.
   This is the opposite of Sharpen.
  

   Sharpen : Sharpen or unblur image
   ---------------------------------

   This emphasises the edges between areas of different colour or
   greylevel. Sharpen moves the pixel values away from the average of
   surrounding pixels.

   The slider indicates the strength of the operation. All strengths use
   a 3 x 3 convolution. The sharpen convolution filters are used as the
   basis for the examples later in this manual.


   Brighten : Brighten or darken image
   -----------------------------------

   This brightens or darkens an image. The slider offers a total of 19
   strengths.

   Move the slider towards "Lighter" to brighten an image, or towards
   "Darker" to darken the image.

   The operation "pulls" the pixel values towards the target, so that
   brighten will appear to affect light pixels more than dark pixels and
   vice versa.

   Note that this also means that a darkened image will contain no
   white, and vice versa.





   Paint : Paint and spray parts of image to a colour
   --------------------------------------------------

   Paint lets you wipe with black, white or the current picked colour,
   using a variable sized brush of variable strength.

   The brush can be solid colour (or grey), or can spray or spatter.
   It can be a plain rectangle, or a focussed rectangle or ellipse.

   Use the right button to size the brush, and use the left button to
   paint. The brush is always centred on the brush mask as you move it
   around.

   Right click into Paint to change the brush type and adjust the
   painting strength.

   Use the brush to clean areas, to join edges ready for filling, to
   touch-up or to colour in large areas.
       
   The solid paint brush cannot be focussed or shaped. To paint with a
   focussed brush, create a solid image of the required colour, make it
   a pattern, and then use a focussed pattern instead of paint.

   In 256 colours mode, as you paint the altered dither shows as if the
   paint brush edges are being partially left behind. This effect goes
   as soon as the image is redisplayed, when you have completed your
   painting.


   Pick-colour : Pick painting colour (320 column mode only)
   --------------------------------------------------------

   Select Pick-colour, and use the sliders to adjust the picked colour.

   If the current image is greyscale, you can adjust the picked-grey
   value.

   This is now the picked colour as used by Paint, and will be saved in
   the configuration file. Note that there is a picked colour and a
   picked grey. These are independent of each other, and are used for
   respective image types. For example, if you paint on a greyscale
   image, the picked grey is used, not the picked colour.







                             The Shaping Menu
                             ----------------

   


   Resize : Change the size of the image
   -------------------------------------

   Resize lets you change the size of the current image.

   Move the frame and/or size the frame by dragging the full frame or
   its tag with the left mouse button.

   Left click the Resize button to action the resize.

   Note that if the image is larger than the work area, you are given
   the largest frame of the correct aspect ratio that will fit inside
   the visible part of the image.


   Mirror : Mirror image left to right
   -----------------------------------

   This does a left to right mirror operation on the image.


   Flip : Flip image upside down
   -----------------------------

   This does a top to bottom mirror operation on the image.


   Rotate : Rotate image by quarters
   ---------------------------------

   Use a right click to set the current rotate direction, which can be
   for rotation by a quarter turn to the left, or rotation by a quarter
   turn to the right.







                             The Histogram Menu
                             ------------------


   

   Hist-display : Toggle histogram display (not 320 column mode)
   -------------------------------------------------------------

   A left click on this option will turn the histogram display ON if it
   is OFF, or OFF if the histogram is already showing.
       

   Every time you select a process, the image must be redisplayed, and
   if the histogram is showing, then it needs to be updated and
   redisplayed itself. Image Control is not ready for you to select your
   next menu item until the histogram has been fully updated.

   If you do not need the histogram, then use Hist-display to toggle the
   histogram display to OFF.

   Use a right click to choose between several different formats for
   displaying on the histogram the make-up of the current picked colour.

   Note that this does not change the display of the image.

   You may choose :

   RGB 0-255           R, G and B, grey level in the range 0 to 255

   RGB %               R, G and B, grey level in the range 1 - 100

   CMYK                Cyan, magenta, yellow and black.

   


   Pick : Pick colour for editing (not 320 column mode)
   ----------------------------------------------------

   Select pick, and use the mouse to point to a pixel in the current
   image. The pixel value and colour of that pixel are displayed in the
   histogram display box.

   This is now the picked colour as used by Paint, and will be saved in
   the configuration file. Note that there is a picked colour and a
   picked grey. These are independent of each other, and are used for
   respective image types. For example, if you erase on a greyscale
   image, the picked grey is used, not the picked colour.






                             The Colour Menu
                             ---------------


   

   Filter : Apply photographic filter
   ----------------------------------

   Filter will apply the current filter pack to the image. You can
   change the colour values of the filter in the parameter window. Set
   the current filter value by adjusting the sliders.


   Colourify : Convert image to colour
   -----------------------------------

   Colourify will convert a greyscale image into a grey colour image.


   Greyify : Convert colour image to greyscale
   -------------------------------------------

   Greyify will convert a colour image to greyscale. Note that all
   colour information in the image is lost.


